From ffe6ad504f7b471fc006d1d4f8d54b1e5a9f0ff3 Mon Sep 17 00:00:00 2001
From: Charles Steinkuehler <charles@steinkuehler.net>
Date: Sun, 26 Jan 2014 14:18:34 +0100
Subject: [PATCH] Allow direction change on gpio-of-helper exported pins
 Signed-off-by: Charles Steinkuehler
 <charles@steinkuehler.net>

---
 drivers/gpio/gpio-of-helper.c |    4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/drivers/gpio/gpio-of-helper.c b/drivers/gpio/gpio-of-helper.c
index 16a607f..0f8e118 100644
--- a/drivers/gpio/gpio-of-helper.c
+++ b/drivers/gpio/gpio-of-helper.c
@@ -167,14 +167,14 @@ gpio_of_entry_create(struct gpio_of_helper_info *info,
 	/* set the request flags */
 	switch (type) {
 		case GPIO_TYPE_INPUT:
-			req_flags = GPIOF_DIR_IN | GPIOF_EXPORT;
+			req_flags = GPIOF_DIR_IN | GPIOF_EXPORT_DIR_CHANGEABLE;
 			if (of_property_read_bool(node, "count-falling-edge"))
 				count_flags |= COUNT_FALLING_EDGE;
 			if (of_property_read_bool(node, "count-rising-edge"))
 				count_flags |= COUNT_RISING_EDGE;
 			break;
 		case GPIO_TYPE_OUTPUT:
-			req_flags = GPIOF_DIR_OUT | GPIOF_EXPORT;
+			req_flags = GPIOF_DIR_OUT | GPIOF_EXPORT_DIR_CHANGEABLE;
 			if (of_property_read_bool(node, "init-high"))
 				req_flags |= GPIOF_OUT_INIT_HIGH;
 			else if (of_property_read_bool(node, "init-low"))
-- 
1.7.10.4

